# Generated from fibless-1.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fibless

Name: rubygem-%{gem_name}
Version: 1.1.1
Release: 1%{?dist}
Summary: Fibonacci less than your number
License: MIT
URL: http://github.com/hollowmatt/fibless
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(shoulda) >= 2.11.3
# BuildRequires: rubygem(jeweler) >= 1.6.4
# BuildRequires: rubygem(jeweler) < 1.7
# BuildRequires: rubygem(rcov)
BuildArch: noarch

%description
Will return the fibonacci sequence that is immediately less than your entered
integer value (enter int greater than zero).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/fibless.gemspec
%{gem_instdir}/test

%changelog
* Tue Apr 19 2022 mockbuilder - 1.1.1-1
- Initial package
